Index: /java/main/src/test/resources/info/MechJoint.info
===================================================================
--- /java/main/src/test/resources/info/MechJoint.info	(revision 86)
+++ /java/main/src/test/resources/info/MechJoint.info	(revision 86)
@@ -0,0 +1,63 @@
+class:
+id:MechJoint
+
+prop:
+name:rotation.x
+id:rx
+type:f
+flags:0
+
+prop:
+name:rotation.y
+id:ry
+type:f
+flags:0
+
+prop:
+name:rotation.z
+id:rz
+type:f
+flags:0
+
+prop:
+name:delta.x
+id:dx
+type:f
+flags:0
+
+prop:
+name:delta.y
+id:dy
+type:f
+flags:0
+
+prop:
+name:delta.z
+id:dz
+type:f
+flags:0
+
+prop:
+name:stiffness
+id:stif
+type:f
+flags:0
+
+prop:
+name:rotation stiffness
+id:rotstif
+type:f
+flags:0
+
+prop:
+name:
+id:stress
+type:f
+flags:1
+
+prop:
+name:
+id:rotstress
+type:f
+flags:1
+
Index: /java/main/src/test/resources/info/MechPart.info
===================================================================
--- /java/main/src/test/resources/info/MechPart.info	(revision 86)
+++ /java/main/src/test/resources/info/MechPart.info	(revision 86)
@@ -0,0 +1,123 @@
+class:
+id:MechPart
+
+prop:
+name:position.x
+id:x
+type:f
+flags:0
+
+prop:
+name:position.y
+id:y
+type:f
+flags:0
+
+prop:
+name:position.z
+id:z
+type:f
+flags:0
+
+prop:
+name:mass
+id:m
+type:f
+flags:0
+
+prop:
+name:size
+id:s
+type:f
+flags:0
+
+prop:
+name:volume
+id:vol
+type:f
+flags:0
+
+prop:
+name:friction
+id:fr
+type:f
+flags:0
+
+prop:
+name:velocity.x
+id:vx
+type:f
+flags:0
+
+prop:
+name:velocity.y
+id:vy
+type:f
+flags:0
+
+prop:
+name:velocity.z
+id:vz
+type:f
+flags:0
+
+prop:
+name:orientation.x.x
+id:oxx
+type:f
+flags:0
+
+prop:
+name:orientation.x.y
+id:oxy
+type:f
+flags:0
+
+prop:
+name:orientation.x.z
+id:oxz
+type:f
+flags:0
+
+prop:
+name:orientation.y.x
+id:oyx
+type:f
+flags:0
+
+prop:
+name:orientation.y.y
+id:oyy
+type:f
+flags:0
+
+prop:
+name:orientation.y.z
+id:oyz
+type:f
+flags:0
+
+prop:
+name:orientation.z.x
+id:ozx
+type:f
+flags:0
+
+prop:
+name:orientation.z.y
+id:ozy
+type:f
+flags:0
+
+prop:
+name:orientation.z.z
+id:ozz
+type:f
+flags:0
+
+prop:
+name:apply force
+id:applyForce
+type:p
+flags:0
+
Index: /java/main/src/test/resources/info/Neuro.info
===================================================================
--- /java/main/src/test/resources/info/Neuro.info	(revision 86)
+++ /java/main/src/test/resources/info/Neuro.info	(revision 86)
@@ -0,0 +1,140 @@
+class:
+id:Neuro
+
+prop:
+name:Get input signal
+id:getInputState
+type:p
+flags:0
+
+prop:
+name:Get input weight
+id:getInputWeight
+type:p
+flags:0
+
+prop:
+name:Get weighted input signal
+id:getWeightedInputState
+type:p
+flags:0
+
+prop:
+name:Get signal sum
+id:getInputSum
+type:p
+flags:0
+
+prop:
+name:Get weighted signal sum
+id:getWeightedInputSum
+type:p
+help:Uses any number of inputs starting with the specified input. getWeightedInputSum(0)=weightedInputSum
+flags:0
+
+prop:
+name:Get input count
+id:getInputCount
+type:d
+flags:0
+
+prop:
+name:Full signal sum
+id:inputSum
+type:f
+flags:0
+
+prop:
+name:Full weighted signal sum
+id:weightedInputSum
+type:f
+flags:0
+
+prop:
+name:Get channel count for input
+id:getInputChannelCount
+type:p
+flags:0
+
+prop:
+name:Get input signal from channel
+id:getInputStateChannel
+type:p
+flags:0
+
+prop:
+name:Get weighted input signal from channel
+id:getWeightedInputStateChannel
+type:p
+flags:0
+
+prop:
+name:Neuron state (channel 0)
+id:state
+type:f
+help:~
+When read, returns the current neuron state.
+When written, sets the 'internal' neuron state that will become current in the next step.
+Typically you should use this field, and not currState.~
+flags:0
+
+prop:
+name:Number of output channels
+id:channelCount
+type:d
+flags:0
+
+prop:
+name:Get state for channel
+id:getStateChannel
+type:p
+flags:0
+
+prop:
+name:Set state for channel
+id:setStateChannel
+type:p
+flags:0
+
+prop:
+name:Hold state
+id:hold
+type:d 0 1
+help:"Holding" means keeping the neuron state as is, blocking the regular neuron operation. This is useful when your script needs to inject some control signals into the NN. Without "holding", live neurons would be constantly overwriting your changes, and the rest of the NN could see inconsistent states, depending on the connections. Setting hold=1 ensures the neuron state will be only set by you, and not by the neuron. The enforced signal value can be set using Neuro.currState before or after setting hold=1. Set hold=0 to resume normal operation.
+flags:0
+
+prop:
+name:Current neuron state (channel 0)
+id:currState
+type:f
+help:~
+When read, it behaves just like the 'state' field.
+When written, changes the current neuron state immediately, which disturbs the regular synchronous NN operation.
+This feature should only be used while controlling the neuron 'from outside' (like a neuro probe) and not in the neuron definition. See also: Neuro.hold~
+flags:0
+
+prop:
+name:Set current neuron state for channel
+id:setCurrStateChannel
+type:p
+help:Analogous to "currState".
+flags:0
+
+prop:
+name:Position x
+id:position_x
+type:f
+flags:0
+
+prop:
+name:Position y
+id:position_y
+type:f
+flags:0
+
+prop:
+name:Position z
+id:position_z
+type:f
+flags:0
+
Index: /java/main/src/test/resources/info/NeuroDef.info
===================================================================
--- /java/main/src/test/resources/info/NeuroDef.info	(revision 86)
+++ /java/main/src/test/resources/info/NeuroDef.info	(revision 86)
@@ -0,0 +1,57 @@
+class:
+id:NeuroDef
+
+prop:
+name:part ref#
+id:p
+type:d
+flags:0
+
+prop:
+name:joint ref#
+id:j
+type:d
+flags:0
+
+prop:
+name:item details
+id:d
+type:s
+flags:0
+
+prop:
+name:info
+id:i
+type:s
+flags:0
+
+prop:
+name:vis_style
+id:Vstyle
+type:s
+flags:0
+
+prop:
+name:input count
+id:getInputCount
+type:d
+flags:3
+
+prop:
+name:get input neuron
+id:getInputNeuroDef
+type:p
+flags:3
+
+prop:
+name:get input neuron index
+id:getInputNeuroIndex
+type:p
+flags:3
+
+prop:
+name:get input weight
+id:getInputWeight
+type:p
+flags:3
+
Index: /java/main/src/test/resources/info/Part.info
===================================================================
--- /java/main/src/test/resources/info/Part.info	(revision 86)
+++ /java/main/src/test/resources/info/Part.info	(revision 86)
@@ -0,0 +1,111 @@
+class:
+id:Part
+
+prop:
+name:position.x
+id:x
+type:f
+flags:1024
+
+prop:
+name:position.y
+id:y
+type:f
+flags:1024
+
+prop:
+name:position.z
+id:z
+type:f
+flags:1024
+
+prop:
+name:mass
+id:m
+type:f
+flags:0
+
+prop:
+name:size
+id:s
+type:f
+flags:0
+
+prop:
+name:density
+id:dn
+type:f
+flags:0
+
+prop:
+name:friction
+id:fr
+type:f
+flags:0
+
+prop:
+name:ingestion
+id:ing
+type:f
+flags:0
+
+prop:
+name:assimilation
+id:as
+type:f
+flags:0
+
+prop:
+name:rot.x
+id:rx
+type:f
+flags:0
+
+prop:
+name:rot.y
+id:ry
+type:f
+flags:1024
+
+prop:
+name:rot.z
+id:rz
+type:f
+flags:1024
+
+prop:
+name:info
+id:i
+type:s
+flags:0
+
+prop:
+name:vis_style
+id:Vstyle
+type:s
+flags:0
+
+prop:
+name:visual thickness
+id:vs
+type:f
+flags:0
+
+prop:
+name:red component
+id:vr
+type:f
+flags:0
+
+prop:
+name:green component
+id:vg
+type:f
+flags:1024
+
+prop:
+name:blue component
+id:vb
+type:f
+flags:1024
+
Index: /java/main/src/test/resources/info/World.info
===================================================================
--- /java/main/src/test/resources/info/World.info	(revision 86)
+++ /java/main/src/test/resources/info/World.info	(revision 86)
@@ -0,0 +1,74 @@
+class:
+id:World
+
+prop:
+id:wrldtyp
+name:Type
+type:d 0 2 0 ~Flat surface~Blocks~Height field
+
+prop:
+id:wrldsiz
+name:Size
+type:f 10 1000 20
+help:Side length of the world
+
+prop:
+id:wrldmap
+name:Map
+type:s 1
+help:~
+Description of the world (Type: Blocks or Heighfield). Enter
+   r <sizex> <sizey> [seed]
+to generate a random landscape, or
+   m <sizex> <sizey> digits
+   M <sizex> <sizey> numbers
+to provide height values.
+
+See also the WorldMap object.~
+
+prop:
+id:wrldwat
+name:Water level
+type:f -20 50 -1
+
+prop:
+id:wrldbnd
+name:Boundaries
+type:d 0 2 1 ~None~Fence~Teleport
+
+prop:
+id:wrldg
+name:Gravity
+type:f 0 10 1
+help:~
+You can adjust gravity for your experiments.
+The "official" setting used to evaluate and compare creatures is 1.~
+
+prop:
+id:wrldchg
+name:Trigger world update
+type:p()
+flags:32
+
+prop:
+id:simtype
+name:Simulation engine
+type:d 0 1 0 ~MechaStick~ODE
+help:~
+MechaStick is a fast and simple primary Framsticks simulation engine.
+ODE is Open Dynamics Engine by Russel Smith et al.
+
+NOTE: switching between simulation engines causes removal of all objects in the world (e.g. creatures).~
+
+prop:
+id:nnspeed
+name:NN speed
+type:f 0 1000 1
+help:Number of neural network simulation steps in each physics simulation step
+
+prop:
+id:faces
+name:Faces
+type:s
+help:ground geometry
+
